package net.codinux.banking.fints.messages.segmente.implementierte.umsaetze

/**
 * Die direkt unterhalb der fachlichen Wurzel liegende jeweilige fachliche Elementgruppe ist
 * gegenüber dem ISO-Standard auf genau ein Vorkommen pro Nachrichtendatei
 * eingeschränkt, d. h. eine camt-Nachricht enthält gemäß DK-Spezifikation Informationen für
 * genau ein Konto.
 * (DFÜ-Abkommen Anlage_3_Datenformate_V3.8.pdf, S. 554)
 *
 * DK-Regel bei Überschreiten der Portionierungsgröße (Größe von camt-Nachrichten)
 * Sollte mehr als eine camt.053-Nachricht benötigt werden, da z.B. die Portionierungsgröße
 * überschritten ist, wird folgende Belegung des Balance-Types erforderlich:
 * Erste camt.053-Nachricht:
 * Erster Saldo „OPBD“ und zweiter Saldo „CLBD“ (mit Subtyp „INTM“)
 * Weitere camt.053-Nachrichten (falls erforderlich):
 * Erster Saldo „OPBD“ (mit Subtyp „INTM“) und
 * zweiter Saldo „CLBD“ (mit Subtyp „INTM“)
 * Letzte camt.053-Nachricht:
 * Erster Saldo „OPBD“ (mit Subtyp „INTM“) und zweiter Saldo „CLBD“
 * (ebd. S. 565)
 */
class KontoumsaetzeSepa {
}